Anaconda Enterprise: Documentation

# Changing the owner of a project

To change the owner of a project:

1. Collect the project name, the user name of the previous owner, and the user name of the new owner.

2. Run the `wakari-server` executable command `wk-server-admin`:

       wk-server-admin project-owner --project PROJECT --old OLD_OWNER --new NEW_OWNER --delete --keep-owner

- PROJECT: The project name.
- OLD_OWNER: The user name of the previous owner.
- NEW_OWNER: The user name of the new owner.
- `--delete`: An optional flag that deletes the old project directory in the `projects` directory of OLD_OWNER. If this flag is not used, the old project directory is preserved but no longer used.
- `--keep-owner`: An optional flag that makes OLD_OWNER a collaborator of the project after it is transferred to NEW_OWNER. If this flag is not used, OLD_OWNER will no longer have collaborator access to the project.

NOTE: The OLD_OWNER user must still exist when the project’s owner is changed. Before deleting any user, be sure to change the owner of the user’s projects.